This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 828305 - Jboss ESB expose as web service using SOAP over HTTPs
Jboss ESB expose as web service using SOAP over HTTPs
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0 GA
Unspecified Windows
unspecified Severity urgent
: ---
: ---
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 10:24 EDT by Ravi
Modified: 2013-11-13 08:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
wsAdapter.esb (12.80 KB, application/x-zip-compressed)
2012-06-04 10:24 EDT, Ravi
no flags Details
server.xml (9.12 KB, text/xml)
2012-06-04 10:26 EDT, Ravi
no flags Details

  None (edit)
Description Ravi 2012-06-04 10:24:50 EDT
Created attachment 589169 [details]
wsAdapter.esb

Description of problem:
Unable to expose JBoss ESB as webservice using SOAP over HTTPs

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.add the below content to server.xml
==================================================================
<Connector port="8443" protocol="HTTP/1.1" SSLEnabled="true"
               maxThreads="150" scheme="https" secure="true"
               clientAuth="false" sslProtocol="TLS"
               keyAlias="webservice_proxy_security"
               keystoreFile="D:/JBossLab/Jboss_SOA_1/jboss-soa-p-5/jboss-as/samples/quickstarts/webservice_proxy_security/build/webservice_proxy_security.keystore"
               keystorePass="webservice_proxy_security_pass"
               truststoreFile="D:/JBossLab/Jboss_SOA_1/jboss-soa-p-5/jboss-as/samples/quickstarts/webservice_proxy_security/build/webservice_proxy_security.keystore"
               truststorePass="webservice_proxy_security_pass"
               />
      <Engine name="jboss.web" defaultHost="localhost">
======================================================================
Or replace the server.xml in '\jboss-soa-p-5\jboss-as\server\default\deploy\jbossweb.sar' with the attached one.
2.Deploy the attached esb file
3. check the wsdl created in jboss-soa-p-5\jboss-as\server\default\data\wsdl\wsAdapter
  
Actual results:
The end point is shown like
http://localhost:8080/wsAdapter/ebws/webServiceConsumeCat1/webServiceConsume1


Expected results:
The end point to be created on
The end point is shown like
https://localhost:8443/wsAdapter/ebws/webServiceConsumeCat1/webServiceConsume1


Additional info:
Comment 1 Ravi 2012-06-04 10:26:04 EDT
Created attachment 589171 [details]
server.xml

Note You need to log in before you can comment on or make changes to this bug.